export class userData{
    Id: number;
    Checksum: number;
    Login: string;
    Password: string;
    Characters: number[] = [];

    constructor(id:number, login:string, password:string){
        this.Id = id;
        this.Login = login;
        this.Password = password;
    }
}

export class publicUserData{
    Id: number;
    Login: string;
    SocketId: string;

    constructor(user:userData, socket: string){
        if(user == null){
            return null;
        }
        this.Id = user.Id;
        this.Login = user.Login;
        this.SocketId = socket;
    }
}